#include "../src/config.h"
#include "../src/Noritake_VFD_GUU100.h"
#include "font20x32_digits.h"
#include <util/delay.h>

static Noritake_VFD_GUU100 vfd;


int main() {
    _delay_ms(500); // Wait for power up
    vfd.reset();
    vfd.init();

    unsigned max = NORITAKE_VERTICAL == 1 ? 99: 9999;
    uint8_t digits = NORITAKE_VERTICAL == 1? 2: 4;

    vfd.clearScreen();    
    vfd.setFont(font20x32_digits, 20, 32);
    vfd.fontGutter = 4;
    for (;;)
    	for (unsigned i = 0; i < max; i++) {
            vfd.home();
            vfd.print(max-i, digits, '0');
            _delay_ms(100);
        }
}
